// created on 19/05/2003 at 16:58
using System;
using System.Windows.Forms;
using J4L.MicroPDF417;
using System.Drawing.Printing;

	public class MicroPDF417Form : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label;
		private System.Windows.Forms.Button btnRefresh;
		private System.Windows.Forms.TextBox textheightH;
		private System.Windows.Forms.Button btnExit;
		private System.Windows.Forms.Button btnSave;
		private System.Windows.Forms.TextBox txtData;
		private System.Windows.Forms.TextBox txtWidth;
		private System.Windows.Forms.ComboBox cCompaction;
		private System.Windows.Forms.ComboBox cFormat;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Button btnPrint;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label4;
		private PrintDocument printDocument1;
		
		private MicroPDF417 bc=new MicroPDF417();
		
		public MicroPDF417Form()
		{
			InitializeComponent();
			btnRefreshClick(null,null);
		}
		
		// THIS METHOD IS MAINTAINED BY THE FORM DESIGNER
		// DO NOT EDIT IT MANUALLY! YOUR CHANGES ARE LIKELY TO BE LOST
		void cCompactionSelectedIndexChanged(object sender, System.EventArgs e)
		{
			
		}
		
		void btnRefreshClick(object sender, System.EventArgs e)
		{
			bc.Code=txtData.Text;
			if (cCompaction.SelectedIndex>=0) bc.EncodingMode=(string) cCompaction.SelectedItem;
			if (cFormat.SelectedIndex>=0) bc.PDFPreferredFormat=cFormat.SelectedIndex;
			bc.BarHeight=Convert.ToInt16(this.textheightH.Text);
			bc.ModuleSize=Convert.ToInt16(this.txtWidth.Text);
			bc.Invalidate();
			
		}
		
		void btnSaveClick(object sender, System.EventArgs e)
		{
			btnRefreshClick(sender,e);
			bc.saveToFile("micropdf417.gif","GIF");
			bc.printArray(bc.getBarcodeAsArray());
			MessageBox.Show("Barcode saved to micropdf417.gif");
			
		}
		
		void btnPrintClick(object sender, System.EventArgs e)
		{
			printDocument1=new PrintDocument();
			this.printDocument1.PrintPage += new System.Drawing.Printing.PrintPageEventHandler(this.printDocument1_PrintPage);			
			printDocument1.Print();
		}
		
		void btnExitClick(object sender, System.EventArgs e)
		{
			this.Close();
		}
		
		private void printDocument1_PrintPage(object sender, 
			System.Drawing.Printing.PrintPageEventArgs e)
			{
   				//e.Graphics.FillRectangle(Brushes.Red, 
     			//new Rectangle(500, 500, 500, 500));
				bc.PaintBarcode(e.Graphics);
				
			}
		
		
		void InitializeComponent() {
			this.label4 = new System.Windows.Forms.Label();
			this.label6 = new System.Windows.Forms.Label();
			this.label7 = new System.Windows.Forms.Label();
			this.btnPrint = new System.Windows.Forms.Button();
			this.label2 = new System.Windows.Forms.Label();
			this.cFormat = new System.Windows.Forms.ComboBox();
			this.cCompaction = new System.Windows.Forms.ComboBox();
			this.txtWidth = new System.Windows.Forms.TextBox();
			this.txtData = new System.Windows.Forms.TextBox();
			this.btnSave = new System.Windows.Forms.Button();
			this.btnExit = new System.Windows.Forms.Button();
			this.textheightH = new System.Windows.Forms.TextBox();
			this.btnRefresh = new System.Windows.Forms.Button();
			this.label = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(24, 344);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(56, 23);
			this.label4.TabIndex = 16;
			this.label4.Text = "Width";
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(24, 248);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(120, 23);
			this.label6.TabIndex = 13;
			this.label6.Text = "Format";
			// 
			// label7
			// 
			this.label7.Location = new System.Drawing.Point(24, 312);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(64, 23);
			this.label7.TabIndex = 15;
			this.label7.Text = "Bars Height";
			// 
			// btnPrint
			// 
			this.btnPrint.Location = new System.Drawing.Point(192, 384);
			this.btnPrint.Name = "btnPrint";
			this.btnPrint.TabIndex = 2;
			this.btnPrint.Text = "Print";
			this.btnPrint.Click += new System.EventHandler(this.btnPrintClick);
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(24, 280);
			this.label2.Name = "label2";
			this.label2.TabIndex = 6;
			this.label2.Text = "Compaction";
			// 
			// cFormat
			// 
			this.cFormat.Items.AddRange(new object[] {
						"1X11",
						"1X14",
						"1X17",
						"1X20",
						"1X24",
						"1X28",
						"2X8",
						"2X11",
						"2X14",
						"2X17",
						"2X20",
						"2X23",
						"2X26",
						"3X6",
						"3X8",
						"3X10",
						"3X12",
						"3X15",
						"3X20",
						"3X26",
						"3X32",
						"3X38",
						"3X44",
						"4X4",
						"4X6",
						"4X8",
						"4X10",
						"4X12",
						"4X15",
						"4X20",
						"4X26",
						"4X32",
						"4X38",
						"4X44"});
			this.cFormat.Location = new System.Drawing.Point(144, 248);
			this.cFormat.Name = "cFormat";
			this.cFormat.Size = new System.Drawing.Size(112, 21);
			this.cFormat.TabIndex = 14;
			this.cFormat.Text = "1X11";
			// 
			// cCompaction
			// 
			this.cCompaction.Items.AddRange(new object[] {
						"BINARY",
						"TEXT",
						"NUMERIC"});
			this.cCompaction.Location = new System.Drawing.Point(144, 280);
			this.cCompaction.Name = "cCompaction";
			this.cCompaction.Size = new System.Drawing.Size(112, 21);
			this.cCompaction.TabIndex = 7;
			this.cCompaction.Text = "BINARY";
			this.cCompaction.SelectedIndexChanged += new System.EventHandler(this.cCompactionSelectedIndexChanged);
			// 
			// txtWidth
			// 
			this.txtWidth.Location = new System.Drawing.Point(104, 344);
			this.txtWidth.Name = "txtWidth";
			this.txtWidth.Size = new System.Drawing.Size(80, 20);
			this.txtWidth.TabIndex = 18;
			this.txtWidth.Text = "1";
			// 
			// txtData
			// 
			this.txtData.Location = new System.Drawing.Point(88, 216);
			this.txtData.Name = "txtData";
			this.txtData.Size = new System.Drawing.Size(272, 20);
			this.txtData.TabIndex = 5;
			this.txtData.Text = "Micro PDF 417 test";
			// bc
			// 
			this.bc.Location = new System.Drawing.Point(8, 8);
			this.bc.Name = "bc";
			this.bc.Size = new System.Drawing.Size(440, 176);
			this.bc.TabIndex = 6;			
			// 
			// btnSave
			// 
			this.btnSave.Location = new System.Drawing.Point(112, 384);
			this.btnSave.Name = "btnSave";
			this.btnSave.TabIndex = 1;
			this.btnSave.Text = "Save";
			this.btnSave.Click += new System.EventHandler(this.btnSaveClick);
			// 
			// btnExit
			// 
			this.btnExit.Location = new System.Drawing.Point(272, 384);
			this.btnExit.Name = "btnExit";
			this.btnExit.TabIndex = 3;
			this.btnExit.Text = "Exit";
			this.btnExit.Click += new System.EventHandler(this.btnExitClick);
			// 
			// textheightH
			// 
			this.textheightH.Location = new System.Drawing.Point(104, 312);
			this.textheightH.Name = "textheightH";
			this.textheightH.Size = new System.Drawing.Size(80, 20);
			this.textheightH.TabIndex = 17;
			this.textheightH.Text = "4";
			// 
			// btnRefresh
			// 
			this.btnRefresh.Location = new System.Drawing.Point(32, 384);
			this.btnRefresh.Name = "btnRefresh";
			this.btnRefresh.TabIndex = 0;
			this.btnRefresh.Text = "Refresh";
			this.btnRefresh.Click += new System.EventHandler(this.btnRefreshClick);
			// 
			// label
			// 
			this.label.Location = new System.Drawing.Point(24, 216);
			this.label.Name = "label";
			this.label.Size = new System.Drawing.Size(40, 23);
			this.label.TabIndex = 4;
			this.label.Text = "Data";
			// 
			// MicroPDF417Form
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(384, 414);
			this.Controls.Add(this.txtWidth);
			this.Controls.Add(this.textheightH);
			this.Controls.Add(this.label4);
			this.Controls.Add(this.label7);
			this.Controls.Add(this.cFormat);
			this.Controls.Add(this.label6);
			this.Controls.Add(this.cCompaction);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.txtData);
			this.Controls.Add(this.label);
			this.Controls.Add(this.bc);
			this.Controls.Add(this.btnExit);
			this.Controls.Add(this.btnPrint);
			this.Controls.Add(this.btnSave);
			this.Controls.Add(this.btnRefresh);
			this.Name = "MicroPDF417Form";
			this.Text = "Micro PDF 417 Demo";
			this.ResumeLayout(false);
		}
		
		
	
		
		[STAThread]
		public static void Main(string[] args)
		{
			Application.Run(new MicroPDF417Form());
		}	
	
	
}
